#ifndef CHIP_CONFIG_H
#define CHIP_CONFIG_H

/* Включение возможности отслеживать число неиспользованных слов стека */
#define CHIP_CFG_STACK_TRACK_UNUSED_WORDS 0

/* Разрешение инициализации внешней памяти */
#define CHIP_CFG_XMEM_INIT           1

/* Количество используемых младших пинов порта PC для задания старшего байта
 * адреса внешней памяти. Остальные пины могут использоваться для штатных
 * функций.
 * Может принимать значение 0 или от 2 до 8 включительно */
#define CHIP_CFG_XMEM_HIGHBITS_CNT    2

/* Если внешняя память должна быть разбита на два сектора, то
 * данный параметр должен задать границу резбиения
 * от 0x2000 до 0xE000 включительно с шагом 0x2000.
 * В этом случае циклы ожидания верхнего и нижнего
 * сектора определяются с помощью CHIP_CFG_XMEM_WS_UPPER_SEC и
 * CHIP_CFG_XMEM_WS_LOWER_SEC соответственно.
 * Если данный параметр не определен или определен как 0, то нет разбиения
 * на сектора, и циклы ожидания для всей памяти задаются с помощью
 * CHIP_CFG_XMEM_WS
  */
#define CHIP_CFG_XMEM_SECTORS_DIV_ADDR  0x4000

/* Определение количества циклов ожидания для внешней
 * памяти при отстутствии разбиения на сектора.
 * Может принимать значения CHIP_XMEM_WS_0_0, CHIP_XMEM_WS_1_0, CHIP_XMEM_WS_2_0
 *  или CHIP_XMEM_WS_2_1 */
#define CHIP_CFG_XMEM_WS                CHIP_XMEM_WS_2_0

/* Определение количества циклов ожидания для сектора со старшими
 * адресами, если включено разделение памяти на сектора.
 * Может принимать значения CHIP_XMEM_WS_0_0, CHIP_XMEM_WS_1_0, CHIP_XMEM_WS_2_0
 *  или CHIP_XMEM_WS_2_1 */
#define CHIP_CFG_XMEM_WS_UPPER_SEC      CHIP_XMEM_WS_1_0
/* Определение количества циклов ожидания для сектора с младшими
 * адресами, если включено разделение памяти на сектора.
 * Может принимать значения CHIP_XMEM_WS_0_0, CHIP_XMEM_WS_1_0, CHIP_XMEM_WS_2_0
 *  или CHIP_XMEM_WS_2_1 */
#define CHIP_CFG_XMEM_WS_LOWER_SEC      CHIP_XMEM_WS_2_0

/* Разрешение удержания линий шины памяти в активном сотоянии без
 * перевода в третье состояние */
#define CHIP_CFG_XMEM_BUSKEEPER_EN    1



#endif // CHIP_CONFIG_H
